curl --request GET \
--url https://api.splose.com/v1/invoices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"invoiceNumber": "INV-0001",
"issueDate": "2023-07-30T09:00:00.000Z",
"dueDate": "2023-07-30T09:00:00.000Z",
"patientId": 1,
"contactId": 1,
"locationId": 1,
"practitionerId": 1,
"extraBillingInfo": "Some extra info",
"subtotal": 193.99,
"taxStatus": "excluding",
"tax": 0,
"total": 193.99,
"paidAmount": 193.99,
"status": "Paid",
"invoiceItems": [
{
"id": 1,
"type": "appointment",
"typeId": 1,
"code": "123_4567",
"description": "Wed 30 Aug 2023, 09:00am - Initial Assessment",
"unitPrice": 193.99,
"quantity": 0.5,
"discount": "$20.00",
"taxType": "STANDARD",
"taxRate": 10
}
],
"paymentIds": [
1
],
"referenceNumbers": [
"Medicare: 12345678"
],
"reference": "Some references",
"description": "Some description",
"isArchived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Get a single invoice
Get invoice data by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
x > 01
Response
Object with invoice data.
Invoice id
x > 01
Invoice number
"INV-0001"
Invoice issue date time
"2023-07-30T09:00:00.000Z"
Invoice due date time
"2023-07-30T09:00:00.000Z"
The invoice patient id
x > 01
The invoice contact id
x > 01
The invoice location id
x > 01
The invoice practitioner id
x > 01
Invoice extra billing info
"Some extra info"
Invoice subtotal amount
193.99
Invoice tax status
including, excluding, no tax "excluding"
Invoice tax amount
0
Invoice total amount
193.99
Invoice paid amount
193.99
Invoice status
Draft, Awaiting Payment, Paid "Paid"
Show child attributes
Show child attributes
x > 0Invoice provider numbers
["Medicare: 12345678"]
Invoice reference
"Some references"
Invoice description
"Some description"
Whether the invoice is archvied
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"